.popup-toast {
    font-family: sans-serif;
    font-size: 14px;
    animation: slideIn 0.3s ease;
}

@keyframes slideIn {
    0% { opacity: 0; transform: translateX(50px); }
    100% { opacity: 1; transform: translateX(0); }
}


/* Container button */
.modal-items-btn {
    position: relative;
    display: inline-block;
    cursor: pointer;
    padding: 6px 8px;
}

.lst-modal-items {
    position: absolute;
    top: 25%;
    left: 30px;
    background: #fff;
    border: 1px solid #ccc;
    border-radius: 6px;
    box-shadow: 0 4px 8px rgba(0,0,0,0.1);
    min-width: 180px;
    padding: 8px 0;
    opacity: 0;
    pointer-events: none;
    transition: opacity 0.2s ease, transform 0.2s ease;
}

.modal-items-btn:hover .lst-modal-items {
    opacity: 1;
    transform: translateY(0);
    pointer-events: auto;
    top: auto;
    bottom: 0;
    left: 23px;
}

/* List items styling */
.lst-modal-items ul {
    list-style: none;
    margin: 0;
    padding: 0;
}

.lst-modal-items li {
    padding: 5px 16px;
    cursor: pointer;
    transition: background 0.2s ease;
    line-height: 18px;
    border-bottom: 1px solid rgba(255, 255, 255, 0);
}
.lst-modal-items li a, .lst-modal-items li span {
    font-size: 16px;
    color:#000;
}


.lst-modal-items li:hover {
    background: #f0f0f0;
}


/* modal background */
.modal-popup{
    display:none;
    position:fixed;
    z-index:9999;
    left:0;
    top:0;
    width:100%;
    height:100%;
    background:rgba(0,0,0,0.6);
}

/* modal box */
.modal-layout{
    background:#fff;
    width:700px;
    max-width:100%;
    margin:10% auto;
    border-radius:6px;
    position:relative;
}

.modal-header{
    position: relative;
    padding: 15px;
    background: #ddd;
}

.modal-body{
 padding: 20px 15px;
}
.modal-body p{
     color:#000;
}

.modal-body .modal-popup-toast {
    background-color: rgba(56, 139, 56, 0.26);
    border-radius: 6px;
    padding: 3px 10px;
    margin-bottom: 15px;
    display: none;
}

.modal-footer {
    padding: 0px 20px 20px 20px;
    display: flex;
    justify-content: end;
    align-items: center;
    gap: 10px;
}

.modal-footer span {
    font-size: 0.875rem;
    padding: 5px 12px;
    border: 1px solid var(--primary-color);
    border-radius: 6px;
    transition: all 0.3s ease-in-out;
}

.modal-footer span:hover {
    opacity: 0.8;
}

.modal-footer .modal-create-btn{
    background-color: var(--primary-color);
    color: #fff;
}

.modal-footer .modal-cancel-state-btn{
    background-color: transparent;
    color: var(--primary-color);
    display: none;
}

.modal-footer .modal-cancel-state-btn:hover{
    background-color: var(--primary-color);
    color: #fff;
}

/* close button */
.modal-close{
    position:absolute;
    right:15px;
    top:50%;
    transform: translateY(-50%);
    font-size:22px;
    cursor:pointer;
    width: 30px;
    height: 30px;
    line-height: 28px;
    border-radius: 100px;
    border: 1px solid rgba(0, 0, 0, .1);
    text-align: center;
    z-index: 100;
}

/* playlist list */
.playlist-list{
    list-style:none;
    padding:0;
}

.playlist-list li{
    padding:10px;
    border-bottom:1px solid #eee;
}

.playlist-list li:hover{
    background:#f5f5f5;
}

.playlist-input-container{
    padding-bottom: 10px;
}
.playlist-input-container input {
    margin-bottom: 5px;
    height: 45px;
    border: 1px solid #ddd;
    border-radius: 3px;
    font-size: .9em;
    outline: 0;
    width: 100%;
    padding: 0 15px;
    color: inherit;
    max-width: 100%;
    transition: all .2s;
    display: none;
}

.single-playlist {
    position: relative;
    padding-right: 80px;
    margin-bottom: 15px;
}
.single-playlist .add-playlist-track {
    background: #f3f4f7;
    padding-left: 15px;
    border-radius: 2px;
}

.modal-body a, .modal-body span {
    display: block;
    padding: 10px 0;
}
.single-playlist .playlist-btn-wrapper {
    width: 80px;
    position: absolute;
    top: 50%;
    right: 0;
    transform: translateY(-50%);
    display: flex;
    gap: 10px;
    padding-left: 15px;
}
.single-playlist .playlist-btn-wrapper a {
    width: 40px;
    float: right;
    text-align: center;
}

.playlist-list-container {
    max-height: 350px;
    overflow-y: scroll;
    overflow-x: hidden;
}

